<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: edit.php
| Version: 2.01
| Ported to PHP-Fusion 9.x by: Krelli
| Based on: Nivo Slider v1.00 for PHP-Fusion 7
| by: Craig (phpfusionmods.co.uk)
| Author:KRELLI.com
| Developers: Krelli 
| Site: https://www.krelli.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| 
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

pageAccess("NIVO");

if (!IsSet($_REQUEST['slide_id']) || !IsNum($_REQUEST['slide_id']) || $_REQUEST['slide_id'] < 0) {
	redirect('./nivo_slider_admin.php'.$aidlink);
	exit;
}

$result = dbquery("SELECT * FROM ".DB_NIVO_SLIDER." WHERE slider_id = '".$_REQUEST['slide_id']."' LIMIT 1");
$rows = dbrows($result);
if ($rows == 0)  {
	redirect('./nivo_slider_admin.php'.$aidlink);
	exit;
}
else {
	$data = dbarray($result);
	$slider_image  = stripinput($data['slider_image']);
	$slider_url = stripinput($data['slider_url']);
	$slider_caption = stripinput($data['slider_caption']);
	$slider_action = FUSION_REQUEST;
}

if (IsSet($_POST['save_image'])) {
	if(!IsSet($_POST['slider_image']) || $_POST['slider_image'] == "" || $_POST['slider_image'] == "0") {
		addNotice("danger", $locale['nivo_021']);
	}
	elseif (0 === strpos($_POST['slider_url'], 'http://') || 0 === strpos($_POST['slider_url'], 'https://') || $_POST['slider_url'] =="") {
		$result = dbquery("UPDATE ".DB_NIVO_SLIDER." SET slider_image = '".stripinput($_POST['slider_image'])."', slider_url = '".stripinput($_POST['slider_url'])."', slider_caption = '".stripinput($_POST['slider_caption'])."' WHERE slider_id = '".$_REQUEST['slide_id']."' LIMIT 1");
		addNotice("success", $locale['nivo_004']);
		redirect('./nivo_slider_admin.php'.$aidlink);
		exit;
	}
	else { 
		addNotice("danger", $locale['nivo_026']);
	}
}

opentable($locale['nivo_031']);
	echo openform('inputform', 'post', FUSION_REQUEST, ['class' => 'm-0']);
	echo "<div class='row justify-content-md-center'>\n";
	echo "<div class='col-12 col-md-6'>\n";
	echo "<h4 class='m-0'>".$locale['nivo_016']."</h4>\n<span class='small'>(<a href='".ADMIN."file_manager.php".$aidlink."'>".$locale['nivo_038']."</a>)</span>";
	echo form_select('slider_image','', $slider_image, [
		'options'     => $images_values,
		'required'	=> TRUE
	]);
	echo "</div>\n";
	echo "<div class='col-12 col-md-6'>\n";
	echo "<h4 class='m-0'>".$locale['nivo_027'] ."</h4>\n<span class='small'>(".$locale['nivo_030'].")</span>";
	echo form_text('slider_url', '', $slider_url, [
        'inline'      => TRUE,
		'type'        => 'text',
		'prepend'       => TRUE,
        'prepend_value' => 'URL:'
    ]);
	echo "</div>\n";
	echo "<div class='col p-10'>\n";
	echo "<h4 class='m-0'>".$locale['nivo_042']."</h4>\n<span class='small'>".$locale['nivo_043']."</span>";
	echo form_textarea('slider_caption', '', $slider_caption, [
		'required'     => FALSE,
		'autosize'     => TRUE,
		'form_name'    => 'inputform',
		'wordcount'    => TRUE,
		'maxlength'    => '250',
		'type'         => 'bbcode',
		'input_bbcode' => 'size|b|i|u|url|left|center|right|color|language'
	]);
	echo "</div>\n";
	echo "<div class='col p-10 text-center'>\n";
	echo form_button('save_image', $locale['nivo_040'], $locale['nivo_040'], ['class' => 'btn-success', 'icon' => 'fas fa-save']);
	echo closeform();
	echo "</div>\n";
closetable();
