<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 2.1
| Ported to PHP-Fusion 9.x by: Krelli
| Based on: Nivo Slider v1.00 for PHP-Fusion 7
| by: Craig (phpfusionmods.co.uk)
| Author: KRELLI.com
| Developers: Krelli 
| Site: https://www.krelli.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| 
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

$locale = fusion_get_locale('', NIVO_LOCALE);

$inf_title = $locale['inf_title'];
$inf_version = "2.1";
$inf_developer = "krelli.com";
$inf_weburl = "https://www.krelli.com";
$inf_email = "andre@krelli.com";
$inf_folder = "nivo_slider_panel";
$inf_description = $locale['inf_desc'];
$inf_image = 'images/nivo-slider.png';

$inf_newtable[] = DB_NIVO_SLIDER." (
  slider_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  slider_image varchar(100) NOT NULL default '',
  slider_url VARCHAR(150) NOT NULL DEFAULT '',
  slider_caption text NOT NULL,
  PRIMARY KEY  (slider_id)
) ENGINE=MyISAM;";


$inf_newtable[] = DB_NIVO_SLIDER_SETTINGS." (
panel_cap TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
slider_effects VARCHAR(50) DEFAULT 'random' NOT NULL,
slider_pausetime TINYINT(2) UNSIGNED DEFAULT '5' NOT NULL,
slider_theme VARCHAR(25) DEFAULT 'default' NOT NULL,
PRIMARY KEY (panel_cap)
) ENGINE=MyISAM;";


$inf_insertdbrow[] = DB_NIVO_SLIDER_SETTINGS." (panel_cap, slider_effects, slider_pausetime, slider_theme) VALUES ('1', 'random', '5', 'default')";
$inf_insertdbrow[] = DB_NIVO_SLIDER." (slider_id, slider_image, slider_url, slider_caption) VALUES (NULL, 'nemo.jpg', '', '')";
$inf_insertdbrow[] = DB_NIVO_SLIDER." (slider_id, slider_image, slider_url, slider_caption) VALUES (NULL, 'walle.jpg', '', '')";
$inf_insertdbrow[] = DB_NIVO_SLIDER." (slider_id, slider_image, slider_url, slider_caption) VALUES (NULL, 'toystory.jpg', '', '')";

$inf_droptable[] = DB_NIVO_SLIDER;
$inf_droptable[] = DB_NIVO_SLIDER_SETTINGS;

$inf_deldbrow[] = DB_PANELS." WHERE panel_filename='".$inf_folder."'";

$inf_adminpanel[] = array(
    "title" => $inf_title, 
    "image" => $inf_image,
	"page" => 5,
    "panel" => "nivo_slider_admin.php", 
    "rights" => "NIVO",
	"language" => LANGUAGE
);
