<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Version: 2.01
| Ported to PHP-Fusion 9.x by: Krelli
| Based on: Nivo Slider v1.00 for PHP-Fusion 7
| by: Craig (phpfusionmods.co.uk)
| Author:KRELLI.com
| Developers: Krelli 
| Site: https://www.krelli.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| 
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

use PHPFusion\Admins;

if (!defined('NIVO_LOCALE')) {
    if (file_exists(INFUSIONS.'nivo_slider_panel/locale/'.LOCALESET.'index.php')) {
        define('NIVO_LOCALE', INFUSIONS.'nivo_slider_panel/locale/'.LOCALESET.'/index.php');
    } else {
        define('NIVO_LOCALE', INFUSIONS.'nivo_slider_panel/locale/English/index.php');
    }
}

if (!defined("DB_NIVO_SLIDER")) {
    define("DB_NIVO_SLIDER", DB_PREFIX."nivo_slider");
}
if (!defined("DB_NIVO_SLIDER_SETTINGS")) {
    define("DB_NIVO_SLIDER_SETTINGS", DB_PREFIX."nivo_slider_settings");
}

// add to folder permissions checks in admin -> server info
Admins::getInstance()->setFolderPermissions('nivo_slider_panel', [
    'infusions/nivo_slider_panel/images/slides/' => TRUE
]);

// add slides-folder to Fusion File Manager
Admins::getInstance()->setCustomFolder('NIVO', [
    [
        'path'  => INFUSIONS.'nivo_slider_panel/images/slides/',
        'URL'   => fusion_get_settings('siteurl').'infusions/nivo_slider_panel/images/slides/',
        'alias' => 'Nivo Slider'
    ]
]);
