<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: nivo_slider_panel.php
| Version: 2.01
| Ported to PHP-Fusion 9.x by: Krelli
| Based on: Nivo Slider v1.00 for PHP-Fusion 7
| by: Craig (phpfusionmods.co.uk)
| Author:KRELLI.com
| Developers: Krelli 
| Site: https://www.krelli.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| 
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (defined('NIVO_SLIDER_PANEL_EXISTS')) {

include INFUSIONS."nivo_slider_panel/infusion_db.php";

if (file_exists(INFUSIONS."nivo_slider_panel/locale/".LOCALESET."index.php")) {
    include INFUSIONS."nivo_slider_panel/locale/".LOCALESET."index.php";
} else {
    include INFUSIONS."nivo_slider_panel/locale/English/index.php";
}

$nivo_slider_settings = dbarray(dbquery("SELECT * FROM ".DB_NIVO_SLIDER_SETTINGS));
include INFUSIONS."nivo_slider_panel/includes/scripts.php";

$result = dbquery("SELECT * FROM ".DB_NIVO_SLIDER." WHERE slider_image !='' ORDER BY slider_id ASC");

$rows = dbcount("(slider_id)", DB_NIVO_SLIDER);

	if ($rows) {
	if ($nivo_slider_settings['panel_cap'] == 1) { opentable($locale['inf_title']); }
	echo "<div class='slider-wrapper theme-".$nivo_slider_settings['slider_theme']."'>";
	echo"<div id='slider' class='nivoSlider'>";
	$search = array('"', "'");
	$replace = array("&apos;", "&quot;");
	
	while($data = dbarray($result)) {
		if ($data['slider_caption'] != "") {
			$caption = str_replace($search, $replace, parse_text($data['slider_caption'], ['parse_smileys' => FALSE, 'add_line_breaks' => FALSE]));
		}
		else {
			$caption = "";
		}
		echo($data['slider_url'] !=="" ? "<a href='".$data['slider_url']."'><img src='".INFUSIONS."nivo_slider_panel/images/slides/".$data['slider_image']."' alt='".$data['slider_image']."' title='".$caption."' /></a>" : "<img src='".INFUSIONS."nivo_slider_panel/images/slides/".$data['slider_image']."' alt='".$data['slider_image']."' title='".$caption."' />");
	}
	echo"</div>\n</div>\n";
	echo "<div id='html_caption' class='nivo-html-caption'>
	</div>\n";
	
	if ($nivo_slider_settings['panel_cap'] == 1) { closetable(); }
	}
}
