<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: all_slides.php
| Version: 2.01
| Ported to PHP-Fusion 9.x by: Krelli
| Based on: Nivo Slider v1.00 for PHP-Fusion 7
| by: Craig (phpfusionmods.co.uk)
| Author:KRELLI.com
| Developers: Krelli 
| Site: https://www.krelli.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------+
| 
+--------------------------------------------------------+
| jQuery Nivo Slider v3.2
| http://nivo.dev7studios.com
|
| Copyright 2012, Dev7studios
| Free to use and abuse under the MIT license.
| http://www.opensource.org/licenses/mit-license.php
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

pageAccess("NIVO");

$locale = fusion_get_locale();

if (isset($_POST['save_image'])) {
	if(IsSet($_POST['slider_image']) && IsSet($_POST['slider_url']) && $_POST['slider_image'] != "" && $_POST['slider_image'] != "0") {
		$slider_image  = stripinput($_POST['slider_image']);
		$slider_url = stripinput($_POST['slider_url']);
		$slider_caption = stripinput($_POST['slider_caption']);
		if (0 === strpos($slider_url, 'http://') || 0 === strpos($slider_url, 'https://') || $slider_url =="") {
			$result = dbquery("INSERT INTO ".DB_NIVO_SLIDER." (slider_image, slider_url, slider_caption) VALUES ('".$slider_image."', '".$slider_url."', '".$slider_caption."')");
			addNotice("success", $locale['nivo_003']);
			redirect(FUSION_REQUEST);
			exit;
		}
		else{ 
			addNotice("danger", $locale['nivo_026']);
		}
	}
	else {
		addNotice("danger", $locale['nivo_021']);
	}
}

$slider_image  = (IsSet($_POST['slider_image']) ? stripinput($_POST['slider_image']) : "");
$slider_url = (IsSet($_POST['slider_url']) ? stripinput($_POST['slider_url']) : "");
$slider_caption = (IsSet($_POST['slider_url']) ? stripinput($_POST['slider_caption']) : "");
	
opentable($locale['nivo_029']);
	echo openform('inputform', 'post', FUSION_REQUEST, ['class' => 'm-0']);
	echo "<div class='row justify-content-md-center'>\n";
	echo "<div class='col-12 col-md-6'>\n";
	echo "<h4 class='m-0'>".$locale['nivo_016']."</h4>\n<span class='small'>(<a href='".ADMIN."file_manager.php".$aidlink."'>".$locale['nivo_038']."</a>)</span>";
	echo form_select('slider_image', '', $slider_image, [
		'inline'      => TRUE,
		'options'     => $images_values
	]);
	echo "</div>\n";
	echo "<div class='col-12 col-md-6'>\n";
	echo "<h4 class='m-0'>".$locale['nivo_027'] ."</h4>\n<span class='small'>(".$locale['nivo_030'].")</span>";
	echo form_text('slider_url', '', $slider_url, [
        'inline'      => TRUE,
		'max_length'  => 150,
		'type'        => 'text',
		'prepend'       => TRUE,
        'prepend_value' => 'URL:'
    ]);
	echo "</div>\n";
	echo "<div class='col p-10'>\n";
	echo "<h4 class='m-0'>".$locale['nivo_042']."</h4>\n<span class='small'>".$locale['nivo_043']."</span>";
	echo form_textarea('slider_caption', '', $slider_caption, [
		'inline'		=> TRUE,
		'required'     => FALSE,
		'autosize'     => TRUE,
		'form_name'    => 'inputform',
		'wordcount'    => TRUE,
		'maxlength'    => '250',
		'type'         => 'bbcode',
		'input_bbcode' => 'size|b|i|u|url|left|center|right|color|language'
	]);
	echo "</div>\n";
	echo "<div class='col p-10 text-center'>\n";
	echo form_button('save_image', $locale['nivo_017'], $locale['nivo_017'], ['class' => 'btn-success', 'icon' => 'fas fa-plus']);
	echo closeform();
	echo "</div>\n";
closetable();

echo "<hr />\n";

opentable($locale['nivo_018']);	
	$result = dbquery("SELECT * FROM ".DB_NIVO_SLIDER." WHERE slider_image !='' ORDER BY slider_id DESC");
	$rows = dbrows($result);
	if ($rows != 0) {
		echo "<div class='row justify-content-md-center'>\n";
		while ($data = dbarray($result)) {
			echo "<div class='col-12 col-xs-12 col-sm-12 col-md-6 col-xl-4 m-b-20'>";
			echo "<div class='admin-slide'>".($data['slider_url'] !=="" ? "<a href='".$data['slider_url']."'><img class='img-responsive' style='width: 100%; max-width: 100%; height: auto;' src='".INFUSIONS."nivo_slider_panel/images/slides/".$data['slider_image']."' alt='' /></a>" : "<img class='img-responsive' style='width: 100%; max-width: 100%; height: auto; border-radius: 9px 9px 0 0;' src='".INFUSIONS."nivo_slider_panel/images/slides/".$data['slider_image']."' alt='#".$data['slider_id']."' />");
			echo "<div style='padding-left: 5px; margin-top: 5px; margin-bottom: 10px; text-align: center;'>Slide-ID: <strong>#".$data['slider_id']."</strong><br /><div class='btn-group'><a class='btn btn-primary btn-sm' href='".FUSION_SELF.$aidlink."&amp;section=edit_slide&amp;slide_id=".$data['slider_id']."' title='".$locale['nivo_031']."'><i class='fa fa-pencil'></i> ".$locale['nivo_036']."</a><a class='btn btn-danger btn-sm' href='".FUSION_SELF.$aidlink."&amp;section=del_slide&amp;slide_id=".$data['slider_id']."' title='".$locale['nivo_019']."'><i class='fas fa-trash-alt'></i> ".$locale['nivo_035']."</a></div></div>\n</div>\n";
			echo "</div>\n";
		}
		echo "</div>\n";
	}
	else {
		echo"<div style='text-align: center; margin-top: 10px;'>".$locale['nivo_022']."</div>\n";
	}
closetable();
