<?php
$locale['inf_title'] = "Nivo Slider";
$locale['inf_desc'] = "Ein einfacher, responsiver jQuery Bilder-Slider für PHP-Fusion 9.x";
$locale['nivo_001'] = "Die Einstellungen wurden gespeichert.";
$locale['nivo_002'] = "Einstellungen";
$locale['nivo_003'] = "Slide wurde hinzugefügt";
$locale['nivo_004'] = "Slide wurde erfolgreich geändert.";
$locale['nivo_005'] = "Slide wurde entfernt";
$locale['nivo_006'] = "
<h3>Anwendungshinweise</h3>
<p>Die meisten Funktionen sind selbsterklärend. Man fügt Slides in den Slider ein, indem man ein Bild auswählt, optional einen Link (genannt &quot;Slide-Link&quot;) festlegt der aufgerufen wird, wenn man dieses Bild anklickt.<br />
Ebenfalls optional kann man jedem Slide eine eigene Caption (Bildtext bzw. -beschreibung) hinzufügen, die dann unterhalb angezeigt wird. 
Ich habe im entspr. Formular ein BBCode-Eingabefenster eingebaut, um Text-Formatierungen und sogar Textlinks in diesem Bildtext zu ermöglichen.<br />
Verfügbare BB-Codes (falls diese aktiviert sind): size, b, i, u, url, left, center, right, color, language</p>
<p>Die vom Slider verwendeten Bilder befinden sich im Ordner <strong>infusions/nivo_slider_panel/images/slides/</strong> und können entweder per FTP-Programm oder über den in der PHPFusion-Administration verfügbaren Fusion File Manager hochgeladen werden.<br />
Für die Verwendung des File Managers muss dieser genannte Ordner Schreibrechte haben.</p>
<p>Um eine optimale Darstellung zu erreichen, sollte man nur geeignete Bilder verwenden. Alle Slide-Bilder sollten das gleiche Seitenverhältnis (noch besser exakt gleiche Bildgröße Höhe x Breite) haben. 
Andernfalls wird der angezeigte Slider beim Bildwechsel springen bzw. seine Größe ändern.<br />
Ganz besonders negativ ist das Mischen von Bilder mit Portrait- und Landscape-Formaten.</p>
<h3>Credits und Danksagung</h3>
<p>Ein besonderer Dank geht an folgende Entwickler:
<ul>
	<li><strong>jQuery Nivo Slider v3.2</strong> by <a href='http://nivo.dev7studios.com' target='_blank' >Dev7studios</a> &copy;Copyright 2012</li>
	<li><strong>Nivo Slider Panel v1.xx für PHP-Fusion 7.xx</strong> <a href='http://www.phpfusionmods.co.uk' target='_blank'>PHP-Fusion Mods UK / Craig</a> &copy;Copyright 2014</li>
</ul>
</p>
<h3>Über diese Version</h3>
<p>
	Auf PHP-Fusion v9 portiert und überarbeitet von <strong>Krelli</strong> (<a href='https://www.krelli.com/' target='_blank'>KRELLI.com</a>). Basierend auf dem Nivo Slider Panel v1 für PHP-Fusion von <strong>Craig</strong>.<br />
	Veröffentlicht am 29.03.2022 unter der GNU AGPL v3.
</p>
";
$locale['nivo_007'] = "Zeige Panel-Titel";
$locale['nivo_008'] = "Nein";
$locale['nivo_009'] = "Ja";
$locale['nivo_010'] = "Überblendungs-Effekt";
$locale['nivo_011'] = "Pause vor nächstem Bild";
$locale['nivo_012'] = "Wie lange soll jeder Slide gezeigt werden";
$locale['nivo_013'] = "Sekunden";
$locale['nivo_014'] = "Slider-Theme";
$locale['nivo_015'] = "Einstellungen speichern";
$locale['nivo_016'] = "Bild auswählen";
$locale['nivo_017'] = "Zum Slider hinzufügen";
$locale['nivo_018'] = "Aktuell vorhandene Slider-Images";
$locale['nivo_019'] = "Slide entfernen";
$locale['nivo_020'] = "Diesen Slide wirklich entfernen?";
$locale['nivo_021'] = "Du hast kein Bild angegeben."; 
$locale['nivo_022'] = "Keine Bilder (Slides) für Slider hinzugefügt";
$locale['nivo_023'] = "bitte wählen"; //
$locale['nivo_024'] = "&larr; zurück";
$locale['nivo_025'] = "vor &rarr;";
$locale['nivo_026'] = "Falsches URL-Format für Slide Link (muss mit <strong>http://</strong> bzw. <strong>https://</strong> beginnen)."; //
$locale['nivo_027'] = "Slide-Link:";
$locale['nivo_028'] = "Nivo Slider - Einstellungen";
$locale['nivo_029'] = "Bilder zum Nivo Slider hinzufügen";
$locale['nivo_030'] = "Frei lassen, wenn keine Verlinkung gewünscht ist.";
$locale['nivo_031'] = "Slide bearbeiten";
$locale['nivo_032'] = "zufällig";
$locale['nivo_033'] = "Slides verwalten";
$locale['nivo_034'] = "Infos & Credits";
$locale['nivo_035'] = "Entfernen";
$locale['nivo_036'] = "Bearbeiten";
$locale['nivo_037'] = "Abbrechen";
$locale['nivo_038'] = "FTP-Ordner: <strong>infusions/nivo_slider_panel/images/slides/</strong>";
$locale['nivo_039'] = "Falsches URL-Format für Slide Link (muss mit <strong>http://</strong> bzw. <strong>https://</strong> beginnen)."; //
$locale['nivo_040'] = "Änderungen speichern";
$locale['nivo_041'] = "Animation bei Slide-Wechsel";
$locale['nivo_042'] = "Bildtext / Beschreibung";
$locale['nivo_043'] = "Frei lassen, wenn kein Text angezeigt werden soll.";
